ar71xx: add sysupgrade support for OpenMesh MR900v2
authorJohn Crispin <john@openwrt.org>
Fri, 14 Nov 2014 16:55:14 +0000 (16:55 +0000)
committerJohn Crispin <john@openwrt.org>
Fri, 14 Nov 2014 16:55:14 +0000 (16:55 +0000)
Signed-off-by: Sven Eckelmann <sven@open-mesh.com>
SVN-Revision: 43267

target/linux/ar71xx/base-files/lib/upgrade/openmesh.sh
target/linux/ar71xx/base-files/lib/upgrade/platform.sh

index 13d7415..a897dca 100644 (file)
@@ -79,6 +79,7 @@ platform_check_image_openmesh()
                        ;;
                MR900)
                        [ "$board" = "mr900" ] && break
+                       [ "$board" = "mr900v2" ] && break
                        echo "Invalid image board target ($img_board_target) for this platform: $board. Use the correct image for this platform"
                        return 1
                        ;;
index c1e42f5..0ad49a3 100755 (executable)
@@ -246,6 +246,7 @@ platform_check_image() {
        mr600 | \
        mr600v2 | \
        mr900 | \
+       mr900v2 | \
        om2p | \
        om2pv2 | \
        om2p-hs | \
@@ -437,6 +438,7 @@ platform_do_upgrade() {
        mr600 | \
        mr600v2 | \
        mr900 | \
+       mr900v2 | \
        om2p | \
        om2pv2 | \
        om2p-hs | \